# IRCRPC

## What's that?

IRCRPC is a toy project which treats IRC bots as online APIs.

For example, probably the easiest way to interact with
[farnsworth](http://www.simcop2387.info/about/) right now is likely through its
IRC bot (called 'farnsworth').

## Example:

This is the contents of `farnsworth.js` (in the repo, not installed):

    var ircrpc = require('./ircrpc');

    ircrpc.connect('irc.freenode.net', function(client) {
        var farnsworth = client.addService({ nick: 'farnsworth'});

        farnsworth('1 kg -> lbm', function (msg) {
            console.log(msg);
            client.disconnect();
        });
    });

The response:

    josh@pidgey:~/ircrpc$ node farnsworth.js
     (100000000/45359237 /* apx (2.20462262184877) */) 

Despite being a bit clunky, it works surprisingly well!

## Potential?

Maybe.  It's probably not the most elegant way to access an API, but there are
a lot of bots online! It may also make a good platform for pubsub action
(publish by messaging a chat room, subscribe by idling the same chat room).

## Install

This can be installed with npm:

    npm install ircrpc

However, in order to work this requires a version of
[node-irc](https://github.com/martynsmith/node-irc) that is newer than what is
on npm. To get it, just do something like:

    git clone https://github.com/martynsmith/node-irc.git && cd node-irc && npm link ./

or, wait until Martyn updates the npm-ified version of node-irc.
